DELETE Application/DeleteSemanticContext
Request Information
URI Parameters
None.
Body Parameters
SemanticContext| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Name | string |
Required |
|
| SemanticEntities | Collection of SemanticEntity |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "d9165076-c4e4-45be-8f9b-c25bab740290",
"name": "sample string 2",
"semanticEntities": [
{
"$id": "2",
"id": "21255ee1-d220-45ce-9398-47e2f73ee5c9",
"semanticContextID": "6c02997c-1046-4ad5-96ee-172d9450595f",
"schemaName": "sample string 3",
"name": "sample string 4",
"assemblyQualifiedName": "sample string 5",
"isActive": true,
"semanticProperties": [
{
"$id": "3",
"id": "9beae510-0688-4d93-bcce-8392c3962d55",
"semanticEntityID": "e1e390f3-2367-4eaf-8d19-f2c2157fb314",
"semanticEnumerationID": "3b819b11-f9db-4769-b91f-d06193874580",
"name": "sample string 3",
"isSynchronized": true
},
{
"$ref": "3"
}
]
},
{
"$ref": "2"
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.